﻿Shader "Custom/PaintShaderLit" {
    Properties {
        _MainTex ("Albedo (RGB)", 2D) = "white" {}
        _PaintTex ("Paint (RGB)", 2D) = "white" {}
        _PaintOffset ("Paint Texture Offset", Vector) = (0.5,0.5,0,0)
        _PaintScale ("Paint Texture Decal Scale", Float) = 0.02
    }
    SubShader {
        Tags { "RenderType" = "Opaque" }
        CGPROGRAM
        #pragma surface surf Lambert vertex:vert
        struct Input 
        {
            float2 uv_MainTex;
            float2 paintuv;
        };
        sampler2D _MainTex;
        sampler2D _PaintTex;
        uniform float4 _PaintOffset;
        uniform float _PaintScale;
        void vert(inout appdata_full v, out Input o) 
        {
            UNITY_INITIALIZE_OUTPUT(Input,o);
            o.paintuv = mul(UNITY_MATRIX_M, v.vertex).xz * _PaintScale + _PaintOffset;
        }
        void surf(Input IN, inout SurfaceOutput o) 
        {
            float4 mtex = tex2D (_MainTex, IN.uv_MainTex).rgba;
            float4 ptex = tex2D(_PaintTex, IN.paintuv).rgba;
            o.Albedo = lerp(mtex, ptex, ptex.a).rgb;
            o.Alpha = 0;
        }
        ENDCG
    }
    Fallback "Diffuse"
}
