﻿using UnityEngine;

/// <summary>
/// バトル中のカメラ処理
/// </summary>
public class CameraController : MonoBehaviour
{
    [SerializeField] private bool rotation = false;

    private Vector3 offset;
    private Vector3 direction;
    private Transform interest;

    void Start()
    {
        offset = transform.position;
        direction = -transform.position.normalized;
    }

    void LateUpdate()
    {
        if (interest == null) {
            if (PlayerCharController.ownerPlayerInstance != null) {
                interest = PlayerCharController.ownerPlayerInstance.transform;
            }
        } else {
            if (rotation) {
                transform.position = interest.TransformPoint(offset);
                transform.forward = interest.TransformDirection(direction);
            } else {
                transform.position = interest.position + offset;
            }
        }
    }
}
