﻿using UnityEngine;
using UnityEngine.Networking;

/// <summary>
/// アイテム処理。プレーヤーに取得されたらアイテムが持つスキルを取得プレーヤーに設定する。
/// </summary>
public class ItemController : NetworkBehaviour
{
    public Skill skill;
    private Animator animator;
    private bool pickup;

    void Awake()
    {
        animator = GetComponent<Animator>();
    }
    public override void OnStartClient()
    {
        animator.SetBool("spawn", true);
        pickup = false;
    }

    [ClientRpc]
    public void RpcPickupAnimation()
    {
        animator.SetBool("pickup", true);
    }
    void OnTriggerEnter(Collider other)
    {
        if (!isServer || pickup)
            return;
        var player = other.gameObject.GetComponent<PlayerCharController>();
        if (player == null)
            return;
        player.AddSkill(skill);
        RpcPickupAnimation();
        pickup = true;
        Destroy(gameObject, 1f);
    }
}
