﻿using UnityEngine;
using UnityEngine.UI;

/// <summary>
/// ロビーで表示されるプレーヤーのUI。名前入力部分。
/// </summary>
public class PainterLobbyPlayerUI : MonoBehaviour
{
    public InputField inputField;
    public Image[] backgrounds;

    public Button leftArrow;
    public Button rightArrow;

    public void Hide()
    {
        gameObject.SetActive(false);
    }

    public void SetAsLocalPlayer(bool b)
    {
        inputField.interactable = b;
        leftArrow.gameObject.SetActive(b);
        rightArrow.gameObject.SetActive(b);
        foreach (var img in backgrounds) {
            img.enabled = b;
        }
    }

    public void SetNameText(string str)
    {
        inputField.text = str;
    }
}
