﻿using UnityEngine;
using System.Collections;

public class PaintTest : MonoBehaviour {

	public Transform[] paintPoints;
	public int textureId = 0;
	public float paintScale = 5f;
	public float randomRange = 5f;
	private PaintEnv paint;
	private bool reqPaint = false;

	void Start()
	{
		paint = GetComponent<PaintEnv>();
	}

	void Update()
	{
		if (reqPaint) {
			Paint();
			reqPaint = false;
		}
	}

	// Use this for initialization
	void OnGUI () {
		if (GUILayout.Button("paint")) {
			reqPaint = true;
		}
		if (GUILayout.Button("clear")) {
			paint.Clear();
		}
	}

	public void Paint()
	{
		foreach (var p in paintPoints)
		{
			var r = Random.insideUnitSphere * randomRange;
			paint.AddNewPaint(p.position + new Vector3(r.x, 0f, r.z), textureId, paintScale, Random.Range(0, 360));
			Debug.Log("draw point: " + p.position);
		}
	}
}
