﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

/// <summary>
/// タイトル処理
/// </summary>
public class Title : MonoBehaviour
{
    [SerializeField] private string nextScene;
    [SerializeField] private PaintEnv paint;
    [SerializeField] private float initialPauseTime = 1f;
    [SerializeField] private int paintNum = 30;
    [SerializeField] private float paintInterval = 0.08f;
    [SerializeField] private float xPaintFieldScale = 0.9f;
    [SerializeField] private float zPaintFieldScale = 0.6f;
    [SerializeField] private Animator animator;

    IEnumerator Start()
    {
        yield return new WaitForSeconds(initialPauseTime);
        for (var i = 0; i < paintNum; ++i) {
            var x = (Random.value - 0.5f) * paint.fieldSize * xPaintFieldScale;
            var z = (Random.value - 0.5f) * paint.fieldSize * zPaintFieldScale;
            var pos = new Vector3(x, 0f, z);
            paint.AddNewPaint(pos, Random.Range(0, paint.paintTextures.Length), Random.value * 3f + 1f, Random.Range(0, 360));
            yield return new WaitForSeconds(paintInterval);
        }
        animator.SetBool("Show", true);
    }

    public void OnStartButton()
    {
        SceneManager.LoadScene(nextScene, LoadSceneMode.Single);
    }
}
